import { ContentViewAttributes, NativeScriptProps, ViewAttributes } from 'react-nativescript';
import { Color, EventData, Image, Label, PropertyChangeData } from '@nativescript/core';
import { SelectedIndexChangedEventData } from '../tab-navigation-base';
import { TabContentItem } from '../tab-content-item';
import { TabStrip } from '../tab-strip';
import { TabStripItem } from '../tab-strip-item';
export type TabNavigationBaseAttributes = ViewAttributes & {
    android?: any;
    ios?: any;
    items?: string | TabContentItem[];
    onItemsChange?: (args: PropertyChangeData) => void;
    onSelectedIndexChange?: (args: PropertyChangeData) => void;
    onSelectedIndexChanged?: (args: SelectedIndexChangedEventData) => void;
    onTabStripChange?: (args: PropertyChangeData) => void;
    selectedIndex?: string | number;
    tabStrip?: string | TabStrip;
};
export type TabContentItemAttributes = ContentViewAttributes & {
    canBeLoaded?: false | true;
};
export type TabStripAttributes = ViewAttributes & {
    highlightColor?: string | Color;
    iosIconRenderingMode?: 'automatic' | 'alwaysOriginal' | 'alwaysTemplate';
    isIconSizeFixed?: string | false | true;
    items?: string | TabStripItem[];
    onHighlightColorChange?: (args: PropertyChangeData) => void;
    onIosIconRenderingModeChange?: (args: PropertyChangeData) => void;
    onIsIconSizeFixedChange?: (args: PropertyChangeData) => void;
    onItemTap?: (args: EventData) => void;
    onItemsChange?: (args: PropertyChangeData) => void;
    onSelectedItemColorChange?: (args: PropertyChangeData) => void;
    onUnSelectedItemColorChange?: (args: PropertyChangeData) => void;
    selectedItemColor?: string | Color;
    unSelectedItemColor?: string | Color;
};
export type TabStripItemAttributes = ViewAttributes & {
    iconClass?: string;
    iconSource?: string;
    image?: Image;
    label?: Label;
    onTap?: (args: EventData) => void;
    title?: string;
};
declare global {
    namespace JSX {
        interface IntrinsicElements {
            tabStrip: NativeScriptProps<TabStripAttributes, TabStrip>;
            tabStripItem: NativeScriptProps<TabStripItemAttributes, TabStripItem>;
            tabContentItem: NativeScriptProps<TabContentItemAttributes, TabContentItem>;
        }
        interface ElementChildrenAttribute {
            children: {};
        }
    }
}
interface RegisterTabsOptions {
    enableDebugLogging?: boolean;
}
export declare function registerTabNavigationBase(opts?: RegisterTabsOptions): void;
export {};
